Subject: bug#66167: closed (Re: bug#66167: 29.1; wrap-prefix text property with :align-to space keyword broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Sep 2023 05:38:02 +0000

Your bug report

#66167: 29.1; wrap-prefix text property with :align-to space keyword broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66167: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66167
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66167: 29.1; wrap-prefix text property with :align-to space keyword broken
From: Eli Zaretskii <[email-masked]>
To: "Paul W. Rankin" <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Sep 2023 08:36:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 24 Sep 2023 14:56:02 +1000
> From: "Paul W. Rankin" <[email-masked]>
> Cc: [email-masked]
> 
> On 2023-09-23 19:38, Eli Zaretskii wrote:
> > It _is_ applied.  Try giving wrap-prefix a value that is a string, and
> > you will see that it is applied.
> > 
> > The problem is not with wrap-prefix, the problem is with the
> > (space :align-to 10) form, and specifically with the value 10.
> > The value 10 is too small for wrapped lines (in most cases).
> 
> I see now what it means. Sorry, my mistake. And what I want can be 
> achieved with (space :width 10). Thanks.

Yes, '(space :width 10)' is exactly what you want, AFAIU.

So I'm now closing this bug.

Subject: 29.1; wrap-prefix text property with :align-to space keyword broken
From: "Paul W. Rankin" <[email-masked]>
To: [email-masked]
Date: Sat, 23 Sep 2023 18:04:27 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Description:

The wrap-prefix text property with :align-to space keyword has been 
broken. (Regression).

To reproduce:

1. emacs -Q
2. in *scratch*, ensure visual-line-mode is enabled
3. insert enough text to wrap lines
4. M-: (put-text-property (point-min) (point-max) 'wrap-prefix '(space 
:align-to 10))

Expected results:

Wrapped text should align to column 10.

Actual result:

Wrapped text does not align. (No effect.)